
export const logger = {
    debug(...args: any[]) {
        // 什么也不做，相当于隐藏了日志
    },
    log(...args: any[]) {
        // 让日志仍然输出到控制台
        if (args
            && args.find(
                a => a
                    && a.indexOf
                    && (
                        a.indexOf("SyncFrame") > -1
                        || a.indexOf("SyncServerInfo") > -1
                        || a.indexOf("InpFrame") > -1
                    )
            )
        ) {
            //[SyncFrame]这消息太频繁不输出
            return;
        }
        console.log(...args);
    },
    warn(...args: any[]) {
        console.warn(...args);
    },
    error(...args: any[]) {
        console.error(...args);
    },
}